
Redmine - Defect #3376

Moving an issue to another project copies the associations revisions instead of updating them

2009-05-17 18:12 - Bob Roberts

Status: Closed Start date: 2009-05-17

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

When moving a issue from one project to another, the SCM revision associations are also copied instead of being updated which

mean they are no longer in sync with the repository and the revision change set links can also be invalid.

Version: Trunk, r2744

How to test:

1. Create 2 test projects each pointing to a different repository root

2. Create an issue in each project note the issue #

3. Commit changes to project 1 referencing the first issue added above

4. Commit changes to project 2 referencing the second issue added above

5. Check the associated revision information is now shown for the above commits in each issue

6. Move the second issue to the first test project and note the revision history is still available as before and not updated (the link

will also point to an invalid revision # for the new project).

Related issues:

Related to Redmine - Defect #3087: Revision referring to issues across all pr... Closed 2009-03-31

Associated revisions

Revision 2760 - 2009-05-18 19:45 - Jean-Philippe Lang

Link to the appropriate repository (#3376).

History

#1 - 2009-05-19 13:10 - Bob Roberts

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- % Done changed from 0 to 100

After a svn update, this fix appears to have correctly resolved the issue. Thanks.

#2 - 2009-05-19 22:46 - Bob Roberts

This issue is linked to #3087

#3 - 2009-11-13 19:10 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

This was fixed in r2760.

The revision history now points to the correct changeset.
